aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--functest/ci/check_os.sh7
-rw-r--r--functest/ci/run_tests.py2
2 files changed, 7 insertions, 2 deletions
diff --git a/functest/ci/check_os.sh b/functest/ci/check_os.sh
index 38fe32f5..053796d9 100644
--- a/functest/ci/check_os.sh
+++ b/functest/ci/check_os.sh
@@ -37,7 +37,12 @@ if [ $RETVAL -ne 0 ]; then
fi
echo " ...OK"
-adminURL=$(openstack catalog show identity |grep adminURL|awk '{print $4}')
+adminURL=$(openstack catalog show identity |awk '/admin/ {print $4}')
+if [ -z ${adminURL} ]; then
+ echo "ERROR: Cannot determine the admin URL."
+ openstack catalog show identity
+ exit 1
+fi
adminIP=$(echo $adminURL|sed 's/^.*http\:\/\///'|sed 's/.[^:]*$//')
adminPort=$(echo $adminURL|sed 's/^.*://'|sed 's/.[^\/]*$//')
echo ">>Verifying connectivity to the admin endpoint $adminIP:$adminPort..."
diff --git a/functest/ci/run_tests.py b/functest/ci/run_tests.py
index e8be4290..015b5840 100644
--- a/functest/ci/run_tests.py
+++ b/functest/ci/run_tests.py
@@ -124,7 +124,7 @@ def run_test(test, tier_name):
test_case = cls()
result = test_case.run()
if result != TestCasesBase.TestCasesBase.EX_SKIP and REPORT_FLAG:
- result = test_case.push_to_db()
+ test_case.push_to_db()
except ImportError:
logger.exception("Cannot import module {}".format(
run_dict['module']))